@font-face {
    font-family: Lato;
    src: url(/fonts/Lato-Regular.ttf);
}
@font-face {
    font-family: Raleway;
    src: url(/fonts/Raleway-Regular.ttf);
}


body    {
	background: #001;
	color: #dee;
	font-family: Raleway, 'Open Sans', Roboto, Lato, Arial;
	}
	
hr      {
	border: double;
	color: #800;
	}
	
textbox,
select, 
option,
textarea,
input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="url"],
input[type="number"] {
    appearance: none;	
    background: #17181c;
	color: #e8e7e3;
    border: 1px solid;
    padding: 3px;	
	}


	
a       {
        color: cyan;
        }
	
button, input[type=button],[type=reset], [type=submit]  {
        border-top: 1px solid #96d1f8;
        background: #313b54;
        padding: 7.5px 15px;
        -webkit-border-radius: 0px;
        -moz-border-radius: 0px;
        border-radius: 0px;
        -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
        -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
        box-shadow: rgba(0,0,0,1) 0 1px 0;
        text-shadow: rgba(0,0,0,.4) 0 1px 0;
        color: white;
        font-size: 17px;
        font-family: 'Lucida Grande', Helvetica, Arial, Sans-Serif;
        text-decoration: none;
        vertical-align: middle;
        }

input[type=submit]:disabled, button:disabled {
    opacity: .5;
}
        
button:hover {
        border-top-color: #0054ba;
        background: #0054ba;
        color: #ccc;
        }
        
button:active {
        border-top-color: #17181c;
        background: #17181c;
        }
	
#content {
	padding-top: 1.5em;    
	float: right;
	width: 65%; 
	text-align: left;
	}
	
#header, #logo {
	color: #def;
	display: block;        
	text-align: center;
	}
	
#footer {
	clear: both;   
	border-top: 1px solid #000;
	text-align: center;    
	}

#trail, #trail a{
	font-style: normal;
	font-variant: normal;
	text-transform: none;
	text-decoration: none;
}
	
#trail p{
	position: fixed;
}	
	/*css for menu*/
#menu   {
	padding-top: 1.5em;
	width: 12em;
	float: left;
	position: fixed;
}

#menu li {
	list-style: none;
	background-color: #039;
	border-top: solid 1px #039;
	text-align: left;
	margin: 0;
} 

#menu li a {
	display: block;
	text-decoration: none;
	padding: .25em;
	border-bottom: solid 1px #39f;
	border-right: solid 1px #39f;
	color: yellow;
}

#menu li a:visited { 
	color: #666; 

}
 
#menu a:hover {
	  background-color: #aaa;
}
/* for menu  */
  
  
  
/* from: https://moderncss.dev/pure-css-smooth-scroll-back-to-top/*/
/* Smooth scrolling IF user doesn't have a preference due to motion sensitivities */
@media screen and (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

.back-to-top-link {
  /* `fixed` is fallback when `sticky` not supported */
  position: fixed;
  /* preferred positioning, requires prefixing for most support, and not supported on Safari */
  /* @link https://caniuse.com/#search=position%3A%20sticky 
  position: sticky; */
  /* reinstate clicks */
  pointer-events: all;
  /* achieves desired positioning within the viewport */
  /* relative to the top of the viewport once `sticky` takes over, or always if `fixed` fallback is used */
  top: calc(100vh - 5rem);
  display: inline-block;
  text-decoration: none;
  font-size: 2rem;
  line-height: 3rem;
  text-align: center;
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  background-color: #d6e3f0;
  /* emoji don't behave like regular fonts
     so this helped position it correctly */
  padding: 0.25rem;
}

.back-to-top-wrapper {
  /* uncomment to visualize "track" */
 /* outline: 1px solid red;*/
  position: absolute;
  top: 100vh;
  right: 0.25rem;
  /* Optional, extends the final link into the
  // footer at the bottom of the page
  // Set to `0` to stop at the end of `main` */
  bottom: -5em;
  /* Required for best support in browsers not supporting `sticky` */
  width: 3em;
  /* Disable interaction with this element */
  pointer-events: none;
}

content {
  /* leave room for the "scroll track" */
  padding: 0 3rem;
  /* required to make sure the `absolute` positioning of
  // the anchor wrapper is indeed `relative` to this element vs. the body */
  position: relative;
  max-width: 50rem;
  margin: 2rem auto;

  /* Optional, clears margin if last element is a block item */
  *:last-child {
    margin-bottom: 0;
  }
}
